// 秒寻科技
// 基于主站频率索引跟踪定位基站，生成定位基站组
// zt
// 2023-03-23

#ifndef __BTS_TRACK_H__
#define __BTS_TRACK_H__

#include "../../sysdefine/sysdef.h"
#include "../../exchange/exchange.h"

// 外部使用接口
void bts_track_by_main(BTS_AMPL_MIRROR_DATA_T *pstBtsAmplMirrorDataList, PUB_LOCATION_DATA_T *pstLocationDataList, PUB_LCT_BTS_LIST_T *pstLctBtsList);

// 内部使用接口
void bts_track_gen_location_bts_by_main_bts(PUB_LCT_BTS_T stLocationBts, BTS_INSTALL_BTS_LIST_T *pstInstallBtsList, PUB_LCT_BTS_LIST_T *pstLocationGroup);
flt32 bts_track_cal_pp_distance(int32 x1, int32 y1, int32 x2, int32 y2);
void bts_track_by_coord(PUB_CURRENT_LCT_RESULT_T stCurrentLctPoint, PUB_LCT_BTS_LIST_T *pstLctBtsList);
#endif
